package cn.cecep.talroad.domain.analysis;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 区域、行业排放量超标分析对象 s_ra_emissions_over
 *
 * @author szhpt
 * @date 2023-03-24
 */
@ApiModel(value = "区域、行业排放量超标分析")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("s_ra_emissions_over")
public class SRaEmissionsOver extends BaseEntity {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
    /** 主键 */
    @TableId(value = "id", type = IdType.AUTO)
    private String id;


    @ApiModelProperty(value = "行业id")
    /** 行业id */
    @Excel(name = "行业id")
    private String industryId;


    @ApiModelProperty(value = "行业名称")
    /** 行业名称 */
    @Excel(name = "行业名称")
    private String industryName;


    @ApiModelProperty(value = "区域编码")
    /** 区域编码 */
    @Excel(name = "区域编码")
    private String regionCode;


    @ApiModelProperty(value = "区域名称")
    /** 区域名称 */
    @Excel(name = "区域名称")
    private String regionName;


    @ApiModelProperty(value = "统计年份")
    /** 统计年份 */
    @Excel(name = "统计年份")
    private String statYear;


    @ApiModelProperty(value = "参数名称")
    /** 参数名称 */
    @Excel(name = "参数名称")
    private String pollutantName;


    @ApiModelProperty(value = "分析类型 1:排放量超过许可排放量, 2:排放量达到许可排放量90%, 3:排放量预测超过许可排放量")
    /** 分析类型 1:排放量超过许可排放量, 2:排放量达到许可排放量90%, 3:排放量预测超过许可排放量 */
    @Excel(name = "分析类型 1:排放量超过许可排放量, 2:排放量达到许可排放量90%, 3:排放量预测超过许可排放量")
    private String analyseType;


    @ApiModelProperty(value = "许可排放量（t/a）")
    /** 许可排放量（t/a） */
    @Excel(name = "许可排放量", readConverterExp = "t=/a")
    private String permitEmmisons;


    @ApiModelProperty(value = "实际排放量（t/a）")
    /** 实际排放量（t/a） */
    @Excel(name = "实际排放量", readConverterExp = "t=/a")
    private String realityEmmisons;


    @ApiModelProperty(value = "排放占比（实际排放量/许可排放量，%）")
    /** 排放占比（实际排放量/许可排放量，%） */
    @Excel(name = "排放占比", readConverterExp = "实=际排放量/许可排放量，%")
    private String emmisonsRatio;


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("industryId", getIndustryId())
                .append("industryName", getIndustryName())
                .append("regionCode", getRegionCode())
                .append("regionName", getRegionName())
                .append("statYear", getStatYear())
                .append("pollutantName", getPollutantName())
                .append("analyseType", getAnalyseType())
                .append("permitEmmisons", getPermitEmmisons())
                .append("realityEmmisons", getRealityEmmisons())
                .append("emmisonsRatio", getEmmisonsRatio())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
